const needle = require('needle')

async function isGitHub (package) {

    try {

        if (!package.repository) return false

        if (package.repository.type === 'git') {

            const res = await needle('get', `${package.repository.url}`)

            if (res.statusCode >= 400) return false

        }

        return true

    } catch {

        return false

    }

}

isGitHub('https://github.com/JairusSW/Muzuk').then(console.o)